{
  "showStatForBattle": true,
  "debugBattleResultMessage": false,
  "onlineReloadConfig": false,
  "includeBattleType": [1, 4, 5, 7, 13, 14, 15, 20, 21, 22],
  "dailyAutoReset": true,
  "dailyAutoResetHour": 3,
  "clientReloadReset": false,
  "showPopUp": false,
  "battleStatPatterns": [
    {
	  "pattern": "Бой: ([^<]+)",
	  "repl": "Карта: <font color='#C8C8B5'>\\1</font>"
	},
	{
	  "pattern": "(Техника: )([^<]+)",
	  "repl": "\\1<font color='#C8C8B5'>\\2</font>"
	},
	{
      "pattern": "(Получено опыта: )<font color='#C8C8B5'>([^<]+)</font>",
      "repl": "\\1<font color='{{g:medPlace}}'>\\2</font>"
    },
	{
      "if": "{{avgXP}} != {{tmenXP}}",
      "pattern": "(Получено опыта:.*)",
      "repl": "\\1\n<font color='#808277'>Опыт экипажа:</font> <font color='{{g:medPlace}}'>{{tmenXP}}</font>"
    },
	{
      "pattern": "(Получено кредитов: )<font color='#C5CFCF'>([^<]+)</font>",
      "repl": "\\1<font color='{{g:totalCreditsGross}}'>\\2</font>"
    },
    {
      "pattern": "(Получено бон: )<font color='#D6D7D4'>([\\d ]+)",
      "repl": "\\1<font color='{{g:totalCrystal}}'>\\2</font>"
    },
    {
      "pattern": "Достижения в бою",
      "repl": "Достижения"
    },
    {
	  "pattern": "\\(x(\\d) за первую победу в день\\)",
	  "repl": "<font color='#F5F2E1'>(x\\1)</font>"
    },
    {
      "pattern": "(\\d) степень",
      "repl": "\\1 ст."
    }
  ],
  "battleResultsWindow": {
		"enable": true,
		"statText": false,
		"arenaStr": "<font face='$FieldFont' color='#E9E2BF'>{{arenaType}} - {{arenaGuiType}}</font>",
		"titleRegular": "<textformat tabstops='260'><font face='$FieldFont' size='16' color='#E9E2BF'>Эффективность:</font>\t</textformat>{{reward}}",
		"format": "<b><font color='#C1BFB7' size='15'>WN8: <font color='{{c:WN8}}'>{{WN8}}</font>    EFF: <font color='{{c:EFF}}'>{{EFF}}</font></font></b>"
  },
  "hideMessagePatterns": [
		"Добро пожаловать на сервер",
		"Рекомендуем выполнить привязку вашего аккаунта к телефону",
		"Рекомендуем сменить пароль",
		"Вы не меняли пароль",
		"Высадка в Казарму выполнена успешно",
		"Пересадка выполнена успешно",   
		"Замена выполнена успешно",
		"демобилизован успешно",
		"успешно обучен",
		"не загружен",
		"Ускоренное обучение",
		"Новое умение успешно изучено",
		"Вы исключены из команды.",
		"Скриншот сохранён",
		"Жалоба на",
		"Чёрный список",
		"Приглашение недействительно",
		"Приглашение отклонено",
		"Приглашение принято",
		"Потрачено кредитов:",
		"Куплено:",
		"Продано:",
		"Кастомизация:",
		"Исследовано",
		"Демонтировано",
		"Модуль",
		"Оборудование"
  ],
  "battleStatText": [
		"\nWN8: <font color='{{c:WN8}}'><b>{{WN8}} ({{XWN8}})</b></font>"
  ],
  "icon": "img://gui/maps/icons/library/BattleResultIcon-1.png",
  "bgIcon": "img://../mods/configs/wotstat/img/bgIcon{{c:XWN8}}.png",  
  "enableBattleEndedMessage": true,
  "battleEndedMessageWin": "<font color='#4EA500' size='25'>     Победа!        </font>\n<textformat tabstops='[55]'><img src='img://gui/maps/icons/library/TournamentBattleResultIcon-1.png' width='14' height='14' vspace='-1'><font color='#BBBBBB'>Карта:</font><tab><font color='#FFCC42'>{{map}}</font>\n<img src='img://gui/maps/icons/library/ClanBattleResultIcon-1.png' width='14' height='14' vspace='-1'><font color='#BBBBBB'>Танк:</font><tab><font color='#FFCC42'>{{vehicle}}</font>",
  "battleEndedMessageDraw": "<font color='#FFA500' size='25'>     Ничья!         </font>\n<textformat tabstops='[55]'><img src='img://gui/maps/icons/library/TournamentBattleResultIcon-1.png' width='14' height='14' vspace='-1'><font color='#BBBBBB'>Карта:</font><tab><font color='#FFCC42'>{{map}}</font>\n<img src='img://gui/maps/icons/library/ClanBattleResultIcon-1.png' width='14' height='14' vspace='-1'><font color='#BBBBBB'>Танк:</font><tab><font color='#FFCC42'>{{vehicle}}</font>",
  "battleEndedMessageDefeat": "<font color='#FF2E00' size='25'>     Поражение!     </font>\n<textformat tabstops='[55]'><img src='img://gui/maps/icons/library/TournamentBattleResultIcon-1.png' width='14' height='14' vspace='-1'><font color='#BBBBBB'>Карта:</font><tab><font color='#FFCC42'>{{map}}</font>\n<img src='img://gui/maps/icons/library/ClanBattleResultIcon-1.png' width='14' height='14' vspace='-1'><font color='#BBBBBB'>Танк:</font><tab><font color='#FFCC42'>{{vehicle}}</font>",
  "overwriteBattleResultBgIcon": false,
  "bgIconWin" : "../maps/icons/library/FortBattleVictoryBg-1.png",
  "bgIconDraw" : "../maps/icons/library/FortBattleDrawBg-1.png",
  "bgIconDefeat" : "../maps/icons/library/FortBattleDefeatBg-1.png",
  "info": true,
  "text": [
		"<textformat leading='2'><font face='times' size='16' color='#E1F5A9'>   Броня крепка,\n\tи танки наши быстры</font></textformat>\n\n\t<img src='img://../mods/configs/wotstat/img/tank.png' width='165' height='165' align='baseline' vspace='0'>"
  ],
  "template": [
		"<textformat leading='-3' tabstops='[50,120,180]'><b><font size='13' color='#FFCC66'>WN8:</font>\t<font color='{{c:WN8}}'>{{WN8}} ({{XWN8}})</font>\t<font color='#FFCC66'>{{avgTier:1f}} (+{{avgBattleTierDiff:1f}}) \tУР</font></b></textformat>",
        "<textformat leading='-3' tabstops='[50,120,180]'><b><font size='12' color='#FFCC66'>Победы:</font>\t<font color='{{c:rWIN}}'>{{winsCount}}/{{battlesCount}}\t{{avgWinRate}}%\t{{rWIN}}</font></b></textformat>",
        "<textformat leading='-3' tabstops='[50,120,180]'><b><font size='12' color='#FFCC66'>Урон:</font>\t<font color='{{c:rDAMAGE}}'>{{totalDamage}}\t{{avgDamage}}\t{{rDAMAGE}}</font></textformat>",
        "<textformat leading='-3' tabstops='[50,120,180]'><b><font size='12' color='#FFCC66'>Фраги:</font>\t<font color='{{c:rFRAG}}'>{{totalFrag}}\t{{avgFrag}}\t{{rFRAG}}</font></textformat>",
        "<textformat leading='-3' tabstops='[50,120,180]'><b><font size='12' color='#FFCC66'>Засвет:</font>\t<font color='{{c:rSPOT}}'>{{totalSpot}}\t{{avgSpot}}\t{{rSPOT}}</font></b></textformat>",
        "<textformat leading='-3' tabstops='[50,120,180]'><b><font size='12' color='#FFCC66'>Защита:</font>\t<font color='{{c:rDEF}}'>{{totalDef}}\t{{avgDef}}\t{{rDEF}}</font></b></textformat>",
        "<textformat leading='-3' tabstops='[50,120,180]'><b><font size='12' color='#FFCC66'>Опыт:</font>\t<font color='{{g:medPlace}}'>{{totalXP}}\t{{avgOriginalXP}}\t{{medPlace:1f}}</font></b></textformat>",
        "<textformat leading='-3' tabstops='[50,120,180]'><b><font size='12' color='#FFCC66'>Кредиты:</font>\t<font color='{{c:totalCredits}}'>{{totalCredits}} <img src='img://gui/maps/icons/library/CreditsIcon-1.png' width='11' height='11' align='baseline' vspace='-2'>\t{{avgCredits}} <img src='img://gui/maps/icons/library/CreditsIcon-1.png' width='11' height='11' align='baseline' vspace='-2'></font></b></textformat>",
        "<textformat leading='-3' tabstops='[50,120,180]'><b><font size='12' color='#FFCC66'>Боны:</font>\t<font color='{{c:totalCrystal}}'>{{totalCrystal}}</font> <font color='#FFCC66'>({{totalCrystalGross}}) <img src='img://gui/maps/icons/library/crystal_16x16.png' width='14' height='14' align='baseline' vspace='-3'>\t{{avgCrystalGross}} <img src='img://gui/maps/icons/library/crystal_16x16.png' width='14' height='14' align='baseline' vspace='-3'></font></b></textformat>",
		"<textformat leading='-3'>\n<p align='left'>{{ButtonTanks}}    {{ButtonReset}}</p></textformat>"
  ],
  "button": {
		"general": 	"{{img22.png}}",
		"tanks": 	"{{img23.png}}",
		"reset": 	"{{img24.png}}",
		"resetYes": "{{img25.png}}",
		"resetNo": 	"{{img26.png}}"
  },
  "statByTank": true,
  "byTankTitle": [
		"<font size='13' color='#FFCC66'><textformat leading='6' tabstops='[60,115,160]'>Танк\tПобеды\tУрон\tWN8</textformat></font><hr>"
  ],
  "byTankRow": "<textformat leading='-2' tabstops='[70,115,160]'><b><font size='12' color='#FFE6B3'>{{vehicle}}</font>\t<font color='{{c:rWIN}}'>{{winsCount}}/{{battlesCount}}</font>\t<font color='{{c:rDAMAGE}}'>{{avgDamage}}</font>\t<font color='{{c:WN8}}'>{{WN8}} ({{XWN8}})</font></b></textformat>",
  "byTankButton": "\n<textformat leading='-1'><p align='left'>{{ButtonGeneral}}    {{ButtonReset}}</p></textformat>",
  "enableResetConfirmation": true,
  "resetConfirmationText": [
		"\n\n\n<p align='center'><font size='16' color='#FFCC66'><b>Обнулить статистику?</b></p>",
        "<textformat leading='32'>\n<p align='center'>{{ButtonResetYes}}\t\t{{ButtonResetNo}}</p></textformat>"
  ],
  "customMacros": {
		"img22.png": "<img src='img://../mods/configs/wotstat/img/general.png' width='100' height='20' align='baseline' vspace='0'>",
		"img23.png": "<img src='img://../mods/configs/wotstat/img/tanks.png' width='100' height='20' align='baseline' vspace='0'>",
		"img24.png": "<img src='img://../mods/configs/wotstat/img/reset.png' width='100' height='20' align='baseline' vspace='0'>",
		"img25.png": "<img src='img://../mods/configs/wotstat/img/yes.png' width='45' height='20' align='baseline' vspace='0'>",
		"img26.png": "<img src='img://../mods/configs/wotstat/img/no.png' width='45' height='20' align='baseline' vspace='0'>"
  },
  "gradient": {
 	"medPlace": [
		{"value": 1,	 "color": "#D042F3"},
		{"value": 3,     "color": "#02C9B3"},
		{"value": 5,     "color": "#60FF00"},
		{"value": 7,     "color": "#F8F400"},
		{"value": 10,    "color": "#FE7903"},
		{"value": 15,    "color": "#FE0E00"}
	],
    "totalCrystal": [
		{"value": -1,   "color": "#FE0E00"},
		{"value": 0, 	"color": "#FFFFFF"},
		{"value": 1, 	"color": "#60FF00"}
    ],
    "totalCredits": [
		{"value": -1,   "color": "#FE0E00"},
		{"value": 0, 	"color": "#FFFFFF"},
		{"value": 1, 	"color": "#60FF00"}
    ]
  },
  "palette" : {
    "WN8": [
		{"value": 475,  "color": "#FE0E00"},
		{"value": 1002, "color": "#FE7903"},
		{"value": 1593, "color": "#F8F400"},
		{"value": 2397, "color": "#60FF00"},
		{"value": 3230, "color": "#02C9B3"},
		{"value": 9999, "color": "#D042F3"}
    ],
    "EFF": [
		{"value": 612,  "color": "#FE0E00"},
		{"value": 891,  "color": "#FE7903"},
		{"value": 1190, "color": "#F8F400"},
		{"value": 1548, "color": "#60FF00"},
		{"value": 1869, "color": "#02C9B3"},
		{"value": 9999, "color": "#D042F3"}
    ],
 	"medPlace": [
		{"value": 1,    "color": "#D042F3"},
		{"value": 3,    "color": "#02C9B3"},
		{"value": 5,    "color": "#60FF00"},
		{"value": 7,    "color": "#F8F400"},
		{"value": 10,   "color": "#FE7903"},
		{"value": 15,   "color": "#FE0E00"}
	],
    "rWIN": [
		{"value": 0.5,  "color": "#FE0E00"},
		{"value": 0.7,  "color": "#FE7903"},
		{"value": 0.9,  "color": "#F8F400"},
		{"value": 1.2,  "color": "#60FF00"},
		{"value": 1.9,  "color": "#02C9B3"},
		{"value": 15,	"color": "#D042F3"}
    ],
	"rSPOT": [
		{"value": 0.13,  "color": "#FE0E00"},
		{"value": 0.44,  "color": "#FE7903"},
		{"value": 0.75,  "color": "#F8F400"},
		{"value": 1.06,  "color": "#60FF00"},
		{"value": 1.33,  "color": "#02C9B3"},
		{"value": 1.58,  "color": "#D042F3"}
    ],
    "rDEF": [
		{"value": 0.5,  "color": "#FE0E00"},
		{"value": 0.7,  "color": "#FE7903"},
		{"value": 0.9,  "color": "#F8F400"},
		{"value": 1.2,  "color": "#60FF00"},
		{"value": 1.9,  "color": "#02C9B3"},
		{"value": 15,	"color": "#D042F3"}
    ],
    "rDAMAGE": [
		{"value": 0.6,  "color": "#FE0E00"},
		{"value": 1.0,  "color": "#FE7903"},
		{"value": 1.6,  "color": "#F8F400"},
		{"value": 2.5,  "color": "#60FF00"},
		{"value": 3.5,  "color": "#02C9B3"},
		{"value": 15,   "color": "#D042F3"}
    ],  
    "rFRAG": [
		{"value": 0.6,  "color": "#FE0E00"},
		{"value": 1.0,  "color": "#FE7903"},
		{"value": 1.6,  "color": "#F8F400"},
		{"value": 2.5,  "color": "#60FF00"},
		{"value": 3.5,  "color": "#02C9B3"},
		{"value": 15,   "color": "#D042F3"}
    ],
    "avgWinRate": [
		{"value": 46.5, "color": "#FE0E00"},
		{"value": 48.5, "color": "#FE7903"},
		{"value": 52.5, "color": "#F8F400"},
		{"value": 57.5, "color": "#60FF00"},
		{"value": 64.5, "color": "#02C9B3"},
		{"value": 101,  "color": "#D042F3"}
    ],
    "avgDamage": [
		{"value": 500,  "color": "#FE0E00"},
		{"value": 750,  "color": "#FE7903"},
		{"value": 1000, "color": "#F8F400"},
		{"value": 1800, "color": "#60FF00"},
		{"value": 2500, "color": "#02C9B3"},
		{"value": 9999, "color": "#D042F3"}
	],
    "avgXP": [
		{"value": 401,  "color": "#FE0E00"},
		{"value": 601,  "color": "#FE7903"},
		{"value": 1001, "color": "#F8F400"},
		{"value": 1501, "color": "#60FF00"},
		{"value": 2201, "color": "#02C9B3"},
		{"value": 4101, "color": "#D042F3"}
    ],
    "avgHitsRate": [
		{"value": 47.5, "color": "#FE0E00"}, 
		{"value": 60.5, "color": "#FE7903"}, 
		{"value": 68.5, "color": "#F8F400"}, 
		{"value": 74.5, "color": "#60FF00"}, 
		{"value": 78.5, "color": "#02C9B3"}, 
		{"value": 101,  "color": "#D042F3"}
    ],
    "avgEffHitsRate" : [
		{"value": 47.5, "color": "#FE0E00"}, 
		{"value": 60.5, "color": "#FE7903"}, 
		{"value": 68.5, "color": "#F8F400"}, 
		{"value": 74.5, "color": "#60FF00"}, 
		{"value": 78.5, "color": "#02C9B3"}, 
		{"value": 101,  "color": "#D042F3"}
    ],
	"avgAssist": [
		{"value" : 550, "color": "#FE0E00"},
		{"value" : 750, "color": "#FE7903"}, 
		{"value" : 1050,"color": "#F8F400"}, 
		{"value" : 1450,"color": "#60FF00"}, 
		{"value" : 1900,"color": "#02C9B3"}, 
		{"value" : 9999,"color": "#D042F3"}
	],
    "avgSpot" : [
		{"value": 0.6,  "color": "#FE0E00"},
		{"value": 0.8,  "color": "#FE7903"},
		{"value": 1.0,  "color": "#F8F400"},
		{"value": 1.3,  "color": "#60FF00"},
		{"value": 2.0,  "color": "#02C9B3"},
		{"value": 15,	"color": "#D042F3"}
    ],
    "avgFrag": [
		{"value": 0.6,  "color": "#FE0E00"},
		{"value": 0.8,  "color": "#FE7903"},
		{"value": 1.0,  "color": "#F8F400"},
		{"value": 1.3,  "color": "#60FF00"},
		{"value": 2.0,  "color": "#02C9B3"},
		{"value": 15,	"color": "#D042F3"}
    ],
    "avgCap": [
		{"value": 0.5,  "color": "#FE0E00"},
		{"value": 1.5,  "color": "#FE7903"},
		{"value": 3.0,  "color": "#F8F400"},
		{"value": 6.0,  "color": "#60FF00"},
		{"value": 10,   "color": "#02C9B3"},
		{"value": 999,  "color": "#D042F3"}
    ],
    "avgDef": [
		{"value": 0.5,  "color": "#FE0E00"},
		{"value": 1.5,  "color": "#FE7903"},
		{"value": 3.0,  "color": "#F8F400"},
		{"value": 6.0,  "color": "#60FF00"},
		{"value": 10,   "color": "#02C9B3"},
		{"value": 999,  "color": "#D042F3"}
    ],
    "totalCrystal": [
		{"value": -1,	"color": "#FE0E00"},
		{"value": 0,	"color": "#FFCC66"},
		{"value": 1,	"color": "#FFCC66"}
    ],
    "avgCrystal": [
		{"value": -1,   "color": "#FE0E00"},
		{"value": 1,    "color": "#FFCC66"},
		{"value": 3,    "color": "#FE7903"},
		{"value": 5,    "color": "#F8F400"},
		{"value": 7,    "color": "#60FF00"},
		{"value": 10,   "color": "#02C9B3"},
		{"value": 15,   "color": "#D042F3"}
    ],
    "totalCredits": [
		{"value": -1,   "color": "#FE0E00"},
		{"value": 0,    "color": "#FFFFFF"},
		{"value": 1,    "color": "#60FF00"}
    ],
	"totalCreditsGross": [
		{"value": -1,   "color": "#FE0E00"},
		{"value": 0,    "color": "#FFFFFF"},
		{"value": 1,    "color": "#60FF00"}
    ],
    "avgCredits": [
		{"value": -1,   "color": "#FE0E00"},
		{"value": 0,    "color": "#FFFFFF"},
		{"value": 1,    "color": "#60FF00"}
    ]
  }
}